com.taosdata.jdbc.utils

## Class HttpClientPoolUtil

- java.lang.Object
- - com.taosdata.jdbc.utils.HttpClientPoolUtil

    public class HttpClientPoolUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`HttpClientPoolUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `execute(String uri)` execute GET request
`static String` `execute(String uri, String data, String token)` execute POST request

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpClientPoolUtil

    public HttpClientPoolUtil()

### Method Detail

#### execute

    public static String execute(String uri)
                          throws SQLException

execute GET request

Throws:
  `SQLException`

#### execute

    public static String execute(String uri,
                                 String data,
                                 String token)
                          throws SQLException

execute POST request

Throws:
  `SQLException`